
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>spring MVC原理 / 憋错料</title>

    <meta name="description" content="spring MVC原理 Spring MVC工作流程图 图一 图二  Spring工作流程描述 1. 用户向服务器发送请求,请求被Spring 前端控制Servelt DispatcherServlet捕获: 2. DispatcherServlet对请求URL进行解析,得到请求资源标识符(URI).然后根据该URI,调用HandlerMapping获得该Handler配置的所有相关的对象(包括Handler对象以及Handler对象对应的拦截器),最后以HandlerExecutionChain对象的形式返回: 3.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">spring MVC原理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Spring MVC工作流程图</p>

<p><strong>图一</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMzA0LzEzLzEzNjU4MjU1MjlfNDY5My5wbmc=.jpg" /></p>

<p><strong>图二&nbsp;</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMzA0LzEzLzEzNjU4MjU1NTFfODMwMi5wbmc=.jpg" /></p>

<p><strong>Spring工作流程描述</strong></p>
<p>1. 用户向服务器发送请求，请求被Spring 前端控制Servelt DispatcherServlet捕获；</p>
<p>2.&nbsp;DispatcherServlet对请求URL进行解析，得到请求资源标识符（URI）。然后根据该URI，调用HandlerMapping获得该Handler配置的所有相关的对象（包括Handler对象以及Handler对象对应的拦截器），最后以HandlerExecutionChain对象的形式返回；</p>
<p>3.&nbsp;DispatcherServlet 根据获得的Handler，选择一个合适的HandlerAdapter。（<strong>附注</strong>：如果成功获得HandlerAdapter后，此时将开始执行拦截器的preHandler(...)方法）</p>
<p>4. &nbsp;提取Request中的模型数据，填充Handler入参，开始执行Handler（Controller)。 在填充Handler的入参过程中，根据你的配置，Spring将帮你做一些额外的工作：</p>
<p>HttpMessageConveter： 将请求消息（如Json、xml等数据）转换成一个对象，将对象转换为指定的响应信息</p>
<p>数据转换：对请求消息进行数据转换。如String转换成Integer、Double等</p>
<p>数据根式化：对请求消息进行数据格式化。 如将字符串转换成格式化数字或格式化日期等</p>
<p>数据验证： 验证数据的有效性（长度、格式等），验证结果存储到BindingResult或Error中</p>
<p>5. &nbsp;Handler执行完成后，向DispatcherServlet&nbsp;返回一个ModelAndView对象；</p>
<p>6. &nbsp;根据返回的ModelAndView，选择一个适合的ViewResolver（必须是已经注册到Spring容器中的ViewResolver)返回给DispatcherServlet&nbsp;；</p>
<p>7.&nbsp;ViewResolver 结合Model和View，来渲染视图</p>
<p>8. 将渲染结果返回给客户端。</p>

<p>Spring工作流程描述</p>
<p>为什么Spring只使用一个Servlet(DispatcherServlet)来处理所有请求？</p>
<p>详细见J2EE设计模式-前端控制模式</p>
<p>Spring为什么要结合使用HandlerMapping以及HandlerAdapter来处理Handler?</p>
<p>符合面向对象中的单一职责原则，代码架构清晰，便于维护，最重要的是代码可复用性高。如HandlerAdapter可能会被用于处理多种Handler。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 13:26:32 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/map/" title="map">map</a>, <a href="https://www.biecuoliao.com/tag/view/" title="view">view</a>, <a href="https://www.biecuoliao.com/tag/string/" title="string">string</a>, <a href="https://www.biecuoliao.com/tag/%e6%89%a7%e8%a1%8c/" title="执行">执行</a>, <a href="https://www.biecuoliao.com/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.biecuoliao.com/tag/and/" title="and">and</a>, <a href="https://www.biecuoliao.com/tag/ring/" title="ring">ring</a>, <a href="https://www.biecuoliao.com/tag/%e5%bc%80%e5%a7%8b/" title="开始">开始</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%8c%e6%95%b0%e6%8d%ae/" title="行数据">行数据</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>spring MVC原理的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41kvOv0.html" rel="bookmark">spring mvc 原理（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章来自http://jinnianshilongnian.iteye.com/blog/1594806 1:使用spring mvc 的好处 √让我们能非常简单的设计出干净的Web层和薄薄的Web层: √进行更简洁的Web层的开发: √天生与Spring框架集成(如IoC容器.AOP等): √提供强大的约定大于配置的契约式编程支持: √能简单的进行Web层的单元测试: √支持灵活的URL到页面控制器的映射: √非常容易与其他视图技术集成,如Velocity.FreeMarker等等,因为模型数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ej2B53.html" rel="bookmark">Spring MVC原理及配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring MVC原理及配置 1.Spring MVC概述: Spring MVC是Spring提供的一个强大而灵活的web框架.借助于注解,Spring MVC提供了几乎是POJO的开发模式,使得控制器的开发和测试更加简单.这些控制器一般不直接处理请求,而是将其委托给Spring上下文中的其他bean,通过Spring的依赖注入功能,这些bean被注入到控制器中. Spring MVC主要由DispatcherServlet.处理器映射.处理器(控制器).视图解析器.视图组成.他的两个核心是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEQAkgM.html" rel="bookmark">Spring MVC原理及配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring MVC原理及配置 1. Spring MVC概述 Spring MVC是Spring提供的一个强大而灵活的web框架.借助于注解,Spring MVC提供了几乎是POJO的开发模式,使得控制器的开发和测试更加简单.这些控制器一般不直接处理请求,而是将其委托给Spring上下文中的其他bean,通过Spring的依赖注入功能,这些bean被注入到控制器中. Spring MVC主要由DispatcherServlet.处理器映射.处理器(控制器).视图解析器.视图组成. 2. Spr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pevygM.html" rel="bookmark">【Spring】Spring MVC原理及配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Spring MVC概述: Spring MVC是Spring提供的一个强大而灵活的web框架.借助于注解,Spring MVC提供了几乎是POJO的开发模式,使得控制器的开发和测试更加简单.这些控制器一般不直接处理请求,而是将其委托给Spring上下文中的其他bean,通过Spring的依赖注入功能,这些bean被注入到控制器中. Spring MVC主要由DispatcherServlet.处理器映射.处理器(控制器).视图解析器.视图组成.他的两个核心是两个核心: 处理器映射:选择使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l8EjE0.html" rel="bookmark">Spring MVC原理及实例基础扫盲篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近 项目中刚接触了SpringMVC,就把这几天看的跟实践的东西写出来吧. 一.首先,先来了解一下SpringMVC到底是个什么样的框架? Spring Web MVC是一种基于Java的实现了Web MVC设计模式的请求驱动类型的轻量级Web框架,即使用了MVC架构模式的思想,将web层进行职责解耦,基于请求驱动指的就是使用请求-响应模型,框架的目的就是帮助我们简化开发. 二.SpringMVC的工作原理: 1. 客户端请求提交到DispatcherServlet 2. 由Dispatche			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pO76o3.html" rel="bookmark">Spring MVC 原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVC Spring的MVC框架主要由DispatcherServlet.处理器映射.处理器.视图解析器.视图组成. Spring MVC的原理框图: 整个处理过程从一个HTTP请求开始:1)DispatcherServlet接收到请求后,根据对应配置文件中配置的处理器映射,找到对应的处理器映射项(HandlerMapping),根据配置的映射规则,找到对应的处理器(Handler).2)调用相应处理器中的处理方法,处理该请求,处理器处理结束后会将一个ModelAndView类型的数据传给Dis			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pzXAJ0.html" rel="bookmark">Spring mvc 原理浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2. 数据的绑定 前面说过了,SpringMVC是方法级的映射,那么Spring是如何处理方法签名的,又是如何将表单数据绑定到方法参数中的?下面我们就来讨论这个问题.2.2.1. 处理方法签名 首先,我们可以在方法签名中放入@CookieValue注解参数,Spring自动将Cookie值绑定到参数中:同理@RequestHeader可 以绑定报文头的属性值:同时我们还可以将Servlet API如HttpServletRequest.HttpServletResponse.HttpSess			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AAeOd4.html" rel="bookmark">Spring MVC 原理介绍（执行流程）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring MVC工作流程图 图一 图二  Spring工作流程描述 1. 用户向服务器发送请求,请求被Spring 前端控制Servelt DispatcherServlet捕获: 2. DispatcherServlet对请求URL进行解析,得到请求资源标识符(URI).然后根据该URI,调用HandlerMapping获得该Handler配置的所有相关的对象(包括Handler对象以及Handler对象对应的拦截器),最后以HandlerExecutionChain对象的形式返回: 3.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mow61yM.html" rel="bookmark">1 Spring MVC 原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 注解式  Spring MVC 响应流程: 重要的接口和类的简单说明: DispatcherServlet:前端控制器,用于接收请求. HandlerMapping接口:用于处理请求的映射. DefaultAnnotationHandlerMapping:HandlerMapping接口的实现,用于把一个URL映射到具体的Controller类上. HandlerAdapter接口:用于处理请求的映射. AnnotationMethodHandlerAdapter:HandlerAdapt			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmE6QM.html" rel="bookmark" class="title">POJ 1035 Spell checker</a>
					<div>
						题目链接 http://poj.org/problem?id=1035 Time Limit: 2000MS   Memory Limit: 65536K Total Submissions: 241 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZDrAM.html" rel="bookmark" class="title">iOS开发&mdash;&mdash;图形编程OC篇&amp;amp&semi;（一）CALayer介绍与基本使用</a>
					<div>
						CALayer介绍与基本使用 一.简单介绍 在iOS中,你能看得见摸得着的东西基本上都是UIView,比如一个按钮.一个文本标签.一个文本输入框.一个图标等等,这些都是UIView. 其实UIView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZV9wJ3.html" rel="bookmark" class="title">Openjudge-计算概论（A）-统计字符数</a>
					<div>
						描述: 判断一个由a-z这26个字符组成的字符串中哪个字符出现的次数最多输入第1行是测试数据的组数n,每组测试数据占1行,是一个由a-z这26个字符组成的字符串每组测试数据之间有一个空行,每行数据不超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knVRLM.html" rel="bookmark" class="title">搜索 洛谷 P1434滑雪</a>
					<div>
						P1434 滑雪 题目描述 Michael喜欢滑雪.这并不奇怪,因为滑雪的确很刺激.可是为了获得速度,滑的区域必须向下倾斜,而且当你滑到坡底,你不得不再次走上坡或者等待升降机来载你.Michael想知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVwpKQ0.html" rel="bookmark" class="title">数据库级触发器</a>
					<div>
						CREATE TABLE [dbo].[DDLEvents]( [EventDate] [DATETIME] NOT NULL CONSTRAINT [DF__DDLEvents__Event__6E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdVOBM.html" rel="bookmark" class="title">RPi 2B apache2 mysql php5 and vsftp</a>
					<div>
						/************************************************************************* * RPi 2B apache2 mysql ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8moy3.html" rel="bookmark" class="title">wp super cache无法预缓存问题</a>
					<div>
						突然发现wp-super-cache无法预缓存,点击[立即加载预缓存]后没有任何效果,并且垃圾回收定时器也失效了,缓存文件全是几天前的,感觉很奇怪!闲下来的时候,突然想起前些天对博客做的一些优化,于是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB128y4.html" rel="bookmark" class="title">Oracle-本地连接没问题，远程连接有问题解决方案</a>
					<div>
						1. 问题 我的环境是oracle11gr2,本地用plsql还是toad连接都没有任何问题,而用别的机器远程连接就提示 无监听程序等错误. 2. 原因 oracle安装路径  --- 例如: F:\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRE2qM.html" rel="bookmark" class="title">上机题目（初级）- 键盘控制小球（Java）</a>
					<div>
						这里实现键盘监听,监听上下左右四个按键,操控小球上下左右移动,代码如下: import java.awt.Color; import java.awt.Frame; import java.awt.G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5dEKM.html" rel="bookmark" class="title">nginx 平滑升级</a>
					<div>
						怎么能在不停止服务的情况下,平滑的升级nginx?下面告诉你答案,其实很简单 1.下载nginx新版本,并解压,进入解压的目录 2.你要执行旧版本的nginx -V来查看旧版本编译的时候,编译了什么模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeaEEM.html" rel="bookmark" class="title">内存管理&lbrack;6&rsqb;测试堆的内存占用情况</a>
					<div>
						本例效果图: unit Unit1; interface uses   Windows, Messages, SysUtils, Variants, Classes, Graphics, Contro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAyAb4.html" rel="bookmark" class="title">struts2标签库（1）</a>
					<div>
						struts2标签库 struts2标签库是一个比较完善而且功能强大的标签库,该标签库大大的简化了试图页的代码,从而能够提高视图页面的维护效率,struts2标签库功能强大,而且简单易用. 优点 st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k98mp4.html" rel="bookmark" class="title">windows下Python打开包含中文路径名文件</a>
					<div>
						windows使用gbx(gb2312,gbk,gb18030我也不知道是哪个)对文件名及文件路径进行编码保存.打开文件的函数中使用诸如open(filename.encode('gbk'))可以很好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQvBVM.html" rel="bookmark" class="title">比尔&amp;&num;183&semi;盖茨大开脑洞：机器人抢了饭碗 应该被征税</a>
					<div>
						当地时间 2 月 16 日,欧洲议会将就一部关于机器人的法律提案投票.该提案由卢森堡议员玛蒂德尔沃提出,涉及工业.医疗.娱乐等多种领域的机器人.提案包括向机器人征税等举措,旨在弥补机器人造成的失业等现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xeGpB3.html" rel="bookmark" class="title">jenkins 执行可执行jar包测试中，请求乱码解决办法</a>
					<div>
						自动化脚本在eclipse中执行,没有问题.jenkins构建打包自动化脚本,在执行脚本时,遇到了脚本中发送的请求的参数为乱码,实现了如下一些解决办法: 1.设置操作系统环境JAVA_TOOL_OPT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDkPN0.html" rel="bookmark" class="title">winform 自定义控件引用问题</a>
					<div>
						最近做了一个仿combobox的控件,与combobox类似,多了文字筛选的功能,如何实现在这里不再赘述.由于comboboxEx中用到了另一个用户控件,当生成dll,引用到项目中去时,发现工具栏中不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agewQ4.html" rel="bookmark" class="title">PHP模拟POST提交数据三种方式</a>
					<div>
						PHP模拟POST提交数据有file_get_contents.curl和socket,他们都可以通过模拟POST提交,实现POST数据传输. file_get_contents模拟POST提交: $ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQLb8M.html" rel="bookmark" class="title">Matlab 学习之旅（一）</a>
					<div>
						一.脚本文件和M函数 1.1  脚本文件      脚本文件是命令行的集合,由一系列 MATLAB 命令.内置函数及M 文件等组成的文件.脚本文件在MATLAB 编译器中建立,并被保存为.m文件,按顺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYD1J0.html" rel="bookmark" class="title">链表API实现&lpar;插入，删除，查找&rpar;</a>
					<div>
						使用了NIL来当做链表的头和尾,构建的时候也用插入函数插入,在遍历的时候只要判断当前的指针指向的内容是不是NIL即可. 关于NIL节点的使用: Node NIL; Node *nil = &amp;N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MowvYyM.html" rel="bookmark" class="title">关于Word的一些使用</a>
					<div>
						1.开始菜单包括字体面板,段落面板,样式字体面板1.字体样式(微软雅黑..)可以通过引入字体包来增加字体的样式.2.字体大小可以通过输入数字然后按回车键进行控制.A+增大字号A-缩小字号.右边隔一个有 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
